FROM python:slim

RUN apt-get update \
    && apt-get install -y --no-install-recommends git \
    && rm -rf /var/lib/apt/lists/*

RUN useradd nonroot
WORKDIR /opt/app
RUN chown nonroot /opt/app
USER nonroot

RUN git clone https://gitlab.com/librecube/prototypes/python-tm-datalink.git .

ENV VIRTUAL_ENV=/opt/app/venv
RUN python -m venv $VIRTUAL_ENV
ENV PATH="$VIRTUAL_ENV/bin:$PATH"

RUN pip install . --no-cache
